class Tilt

	def self.tilts
		tilts = []

		tilts << Tilt.new(
			:name           => "Sticky Ground",
			:rules_text     => "The ground is covered in a sticky substance that precludes people, animals, and vehicles from treading on it. The substance could be a thin layer on top, or a thick quick sand that will eventually suck them in.",
			:effect         => "Divide the Speed of all who might tread on this ground in half, rounding up, and all rolls that require her to move her feet suffer a -2 penalty. Any dramatic failure on a Physical roll inflicts the Immobilized Tilt.",
			:causing        => "This Tilt can be caused by anything ranging from a spell, to a natural feature of the terrain. A character might choose to pour hot pine tar on the ground, making it difficult to move.",
			:ending         => "\"Get out of the quicksand!\" might be a good idea, but that is easier said than done. Characters can pour sand on the ground to give it traction. They can lower the temperature of the area, making the substance they're walking on solidify.",
			:environmental  => true,
			:authors        => ["NEETzsche", "Dark Archon"]
			)

		tilts << Tilt.new(
			:name           => "Labyrinth",
			:rules_text     => "The landscape you are in does not have a consistent physical form. This could be a particularly mercurial part of the spirit world, a booby trapped Mage's Sanctum, or any other place where making a map on paper simply won't cut it.",
			:effect         => "It is impossible to leave the labyrinth by mundane means. Either the effect causing this environmental Tilt must expire, or some other supernatural ability allowing one to leave must take effect, and win a Clash of Wills. All mundane attempts to leave the labyrinth automatically fail. The same applies to attempts to use the environment to any kind of tactical advantage, such as finding cover or hiding in closets; the labyrinth's form is too capricious to entertain such static or simple methods of environmental manipulation.",
			:causing        => "Some supernatural abilities can cause this Tilt. Other places have this Tilt persistently, such as in Pandemonium.",
			:ending         => "The Gift, spell, Discipline, or ability expires. The labyrinthine place is destroyed. A supernatural ability that allows one command over the environment can partially end the Tilt by vetoing that element of it with a Clash of Wills.",
			:environmental  => true,
			:authors        => ["NEETzsche"]
			)

		return tilts
	end
end